### Virtual Method

# EDataBook BookBackend impl_create_cursor

#### Declaration [src]

    EDataBookCursor*
    impl_create_cursor (
      EBookBackend* backend,
      EContactField* sort_fields,
      EBookCursorSortType* sort_types,
      guint n_fields,
      GError** error
    )

#### Description [src]

Create an `EDataBookCursor`.

#### Parameters

`sort_fields`

  Type: `EContactField`

  No description available.

  The data is owned by the caller of the method.

`sort_types`

  Type: `EBookCursorSortType`

  No description available.

  The data is owned by the caller of the method.

`n_fields`

  Type: `guint`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EDataBookCursor`

No description available.

The returned data is owned by the instance.